SendRoomCharges ()

Make a charge / debit into a guest account within Minihotel. This function is suitable for partners like POS and restaurant systems making item charging, and other partners making upsells, room service items, etc.

HTTP Request Method = POST.

https://sandbox.minihotel.cloud/agents/ws/settings/pos/pos.asmx/SendRoomCharges
https://api2.minihotel.cloud/agents/ws/settings/pos/pos.asmx/SendRoomCharges

Request

ParameterDescriptionType
lang_codeLanguage codeString
RoomChargesRoom charges list containerList of ()
#RoomChargeObject()
#ChargeDateRoom charge date (Optional). Default Value: Request dateString
#ChargeTimeRoom charge time (Optional). Default Value: Request timeDouble
#RoomNumberRoom number.
Note: Room number will be taken into account only if parameter ReservationNumber is empty.
Note: You can only charge by the room number if the reservation is checked-in ("IN" status) and with current stay dates (i.e. past or future reservations won't be charged by a room number).
String
#ReservationNumberReservation Number.
Note: Reservation number will be taken into account only if parameter RoomNumber is empty
String
#ItemCodeItem CodeString
#ItemNameItem NameString
#ItemQuantityItem QuantityInteger
#VoucherNumberVoucher NumberString
#AmountTotal Amount.
Note: You can use a negative value for a refund/minus. Example: -5
Decimal
#IgnoreStatusIgnore the reservation status, for example: “In house”.
This parameter allows the user to send a charge using any #ChargeDate
between the arrival and departure date of the reservation.
This argument only works when ReservationNumber is in-use.
Integer
#SelectedFolioMakes a reference to a specific folio in the reservation.
Examples:
Main reservation folio: 01-1
Member Folios:
02-001 → Member with Serial ID 001
02-002 → Member with Serial ID 002
This argument only works when ReservationNumber is in-use.
String

ℹ️

Note: It is not allowed to charge past reservations, only current or future ones.

ℹ️

Note: You can only charge by the room number if the reservation is checked-in ("IN" status) and with current stay dates (i.e. past or future reservations won't be charged by a room number).


Request Example

<?xml version="1.0" encoding="UTF-8"?>
<Request>
    <Settings name="room_charges_send" language="ENG">
        <Authentication username="Test" password="3657488" />
        <Hotel id="sandbox" />
        <RoomsCharges>
		<RoomCharge>
			<ChargeDate></ChargeDate>
			<ChargeTime></ChargeTime>
			<RoomNumber>09-3</RoomNumber>
			<ItemCode></ItemCode>
			<ItemName> Heineken Beer </ItemName>
			<ItemQuantity> 2 </ItemQuantity>
			<VoucherNumber></VoucherNumber>
			<Amount> 50.5 </Amount>
		</RoomCharge>
		<RoomCharge>
			<ChargeDate></ChargeDate>
			<ChargeTime></ChargeTime>
			<ReservationNumber>007000880</ReservationNumber>
      <SelectedFolio>01-1</SelectedFolio>
			<ItemCode></ItemCode>
			<ItemName> Heineken Beer </ItemName>
			<ItemQuantity> 1 </ItemQuantity>
			<VoucherNumber></VoucherNumber>
			<Amount> 20.25 </Amount>
      <IgnoreStatus>1</IgnoreStatus>
		</RoomCharge>
	</RoomsCharges>
    </Settings>
</Request>

Response

ParameterDescriptionType
MessageStatus MessageString

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>34 ms</ResponseTime>
        <DateTime>10/22/2024 2:27:55 PM</DateTime>
    </ServerInfo>
    <RoomChargesRs>
        <Hotel id="sandbox"/>
        <Status>OK</Status>
        <Confirmation>****</Confirmation>
    </RoomChargesRs>
</Response>